| Earth Observation Mission CFI Software Orbit Software User Manual |

Public Member Functions | Public Attributes

# EECFI::RelTimeSegment Class Reference

This class contains a time interval given by a start RelANXTime and a stop RelANXTime. More...

Inheritance diagram for EECFI::RelTimeSegment:

List of all members.

## Public Member Functions
| RelTimeSegment ()
| Class constructor.
| RelTimeSegment (const RelANXTime &relAnx0, const RelANXTime &relAnx1)
| Class constructor with parameters.
| ~RelTimeSegment ()
| Class destructor.
TimeSegment | toAbsolute () const throw (CfiError)
| Get a TimeSegment with absolute values from this object.
void | fromAbsolute (const TimeSegment &timeSeg) throw (CfiError)
| Set the RelTimeSegment object from an input TimeSegment object.
## Public Attributes
RelANXTime | start
| Segment start ANX time.
RelANXTime | stop
| Segment stop ANX time.

## Detailed Description

This class contains a time interval given by a start RelANXTime and a stop RelANXTime.

## Constructor & Destructor Documentation

EECFI::RelTimeSegment::RelTimeSegment | ( |  | ) |

Class constructor.

EECFI::RelTimeSegment::RelTimeSegment | ( | const RelANXTime & | relAnx0,
|  | const RelANXTime & | relAnx1 |
| ) |  |  |

Class constructor with parameters.

Parameters:

  | relAnx0 | Segment start ANX time..
  | relAnx1 | Segment stop ANX time.

References start, and stop.

EECFI::RelTimeSegment::~RelTimeSegment | ( |  | ) |

Class destructor.

## Member Function Documentation

void EECFI::RelTimeSegment::fromAbsolute | ( | const TimeSegment & | timeSeg | ) | throw (CfiError)

Set the RelTimeSegment object from an input TimeSegment object.

Parameters:

  | timeSeg | TimeSegment with absolute values.

TimeSegment EECFI::RelTimeSegment::toAbsolute | ( |  | ) | const throw (CfiError)

Get a TimeSegment with absolute values from this object.

Returns:
  Output time segment.

References start, EECFI::TimeSegment::start, stop, EECFI::TimeSegment::stop, and EECFI::RelANXTime::toAbsolute().

## Member Data Documentation

RelANXTime EECFI::RelTimeSegment::start

Segment start ANX time.

Referenced by RelTimeSegment(), and toAbsolute().

RelANXTime EECFI::RelTimeSegment::stop

Segment stop ANX time.

Referenced by RelTimeSegment(), and toAbsolute().